TwinMotion Direct Link for SketchUp Pro 2021

Was just wondering when we might expect to see an update to the TwinMotion Direct Link that’s compatible with SketchUp Pro 2021

https://www.unrealengine.com/en-US/twinmotion/plugins

I’ve been using 2020 for a few months, but am itching to be able to use 2021

Twinmotion 2020.2.3 Release Notes

  • Import: We’ve added support for importing SketchUp 2021 files

https://twinmotionhelp.epicgames.com/s/article/Twinmotion-2020-2-3-Release-Notes?language=en_US

2 Likes

So I just downloaded it, but it only gave me the option to add it to my SketchUp 2020 (see screenshot).

I went ahead thinking it might add it to the 2021 version, but upon closing and reopening it, it doesn’t seem to have worked. I even checked the customize toolbar menu to see if it was in there. Unless it’s right in front of me and I’m not seeing it?

2021 support mihai talked about is for importing skp files inside twinmotion.
There’s not direct plugin for 2021 yet

1 Like

Release notes refer to the Twinmotion software, not the Direct Link plugin.
Import your SKP 2021 directly from Twinmotion, not through the plugin.

The plugin will probably be updated with the launch of Twinmotion 2021 in the next period.

1 Like

Okay, thanks for clarifying. Do you have any idea when that might be?

Follow Twinmotion’s communication channels

https://www.facebook.com/twinmotion/posts/3055805764694005

2 Likes

it seems direct plugin is now compatible with sketchup 2021. Twinmotion | Plugins - Unreal Engine

“Supports SketchUp Pro 2017, 2018, 2019, 2020, 2021” (it has been updated yesterday)

1 Like

Hey I keep getting this pop up when I download the latest plugin, any ideas how to overcome this?

thanks

1 Like

Since the trial, Epic software isn’t to be trusted!

In what way would you mind elaborating please?

I was just kidding. There was a recent trial between Epic and Apple. Twinmotion is owned by Epic and MacOS is declaring it not trustworthy. Coincidence.

1 Like

So there is no way around this then?

Did you read the Apple support page? You need to open security preferences and choose to open anyway without certificate, then the installer will open.

1 Like

All sorted now thank you for your help.

1 Like